
import 'package:flutter_test/flutter_test.dart';
import 'package:global_wings/store.dart';

main() {
  test('store test', () {
    useStore('storeName');
    save('key', 4);

    useStore('storeName1');
    save('key1', '40');

    useStore('storeName');

    expect(serve('key') * 8, equals(32));
  });

  test('store delete', () {
    useStore('storeName');
    save('key', 4);
    removeStore();
    expect(serveStore('storeName'), isNull);
    expect(serveStore(), isNotNull);
  });

  test('logstore', () {
    // useStore('storeName');
    save('key', 4);
    save('key1', 44);
    save('key2', 444);
    save('key3', 4444);

    useStore('storeName1');

    save('key', 4);
    save('key1', 44);
    save('key2', 444);
    save('key3', 4444);

    logCompleteStore();
    // print(store);
  });

  test('save to initialstore', () {
    save('key', 4);
    expect(serve('key') * 8, equals(32));
  });
}
